List payments

Returns a list of payments matching the given query parameters.

This endpoint is rate limited to 100 QPS.

Scopes: PAYMENTS_READ

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Query parameters

cursorstringOptional>=1 character
A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
reference_idstringOptional1-1024 characters

Filters results to only include payments with a reference_id matching the given value.

customer_idstringOptional1-128 characters
Filters results to only include payments made by a customer that matches the the given ID.
merchant_idstringOptional1-128 characters
Filters results to only include payments made to a merchant that matches the the given ID.
limitintegerOptional1-100Defaults to 50
Maximum number of payments to return.

Response

OK
paymentslist of objects
List of payments matching the given query parameters.
cursorstring
The pagination cursor to be used in a subsequent request. If empty, this is the final response.

Errors

400
Bad Request Error